Skip to main content
PATCH
Update location

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

locationId
integer
required

Location ID

Body

application/json
name
string

Location name

Maximum string length: 255
parent_id
integer

ID of the parent warehouse. When supplied, must reference an existing warehouse (an mt_locations row with parent_id = 0). Locations cannot be nested under other locations.

address
string | null

Street address

street_address_1
string | null

Street address line 1

street_address_2
string | null

Street address line 2

city
string | null

City

Maximum string length: 255
state
string | null

State/province

Maximum string length: 255
zip
string | null

Postal/ZIP code

Maximum string length: 255
country
string | null

Country

Maximum string length: 255
is_pick_location
boolean | null

Whether this is a pick location

Response

Location updated

id
integer
status
string
name
string
parent_id
integer | null
created_at
string<date-time>
updated_at
string<date-time>